## org.apache.batik.bridge
Interface BridgeUpdateHandler

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler

public interface BridgeUpdateHandler

Interface for objects interested in being notified of updates.

Method Summary
`void` `dispose()` Disposes this BridgeUpdateHandler and releases all resources.
`void` `handleCSSEngineEvent(CSSEngineEvent evt)` Invoked when an CSSEngineEvent is fired.
`void` `handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMAttrModified' is fired.
`void` `handleDOMCharacterDataModified(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.
`void` `handleDOMNodeInsertedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.
`void` `handleDOMNodeRemovedEvent(org.w3c.dom.events.MutationEvent evt)` Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.

Method Detail

### handleDOMAttrModifiedEvent

    public void handleDOMAttrModifiedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMAttrModified' is fired.

### handleDOMNodeInsertedEvent

    public void handleDOMNodeInsertedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeInserted' is fired.

### handleDOMNodeRemovedEvent

    public void handleDOMNodeRemovedEvent(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMNodeRemoved' is fired.

### handleDOMCharacterDataModified

    public void handleDOMCharacterDataModified(org.w3c.dom.events.MutationEvent evt)

  Invoked when an MutationEvent of type 'DOMCharacterDataModified' is fired.

### handleCSSEngineEvent

    public void handleCSSEngineEvent(CSSEngineEvent evt)

  Invoked when an CSSEngineEvent is fired.

### dispose

    public void dispose()

  Disposes this BridgeUpdateHandler and releases all resources.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.